# Uses of Interface
org.apache.lucene.util.IOSupplier

Packages that use IOSupplier
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of IOSupplier in org.apache.lucene.index

Methods in org.apache.lucene.index that return IOSupplier
Modifier and Type
Method
Description
`IOSupplier<TermState>`
TermStates.`get(LeafReaderContext ctx)`
Returns a `Supplier` for a `TermState` for the given `LeafReaderContext`.
Methods in org.apache.lucene.index with parameters of type IOSupplier
Modifier and Type
Method
Description
`boolean`
FilterMergePolicy.`keepFullyDeletedSegment(IOSupplier<CodecReader> readerIOSupplier)`
`boolean`
MergePolicy.`keepFullyDeletedSegment(IOSupplier<CodecReader> readerIOSupplier)`
Returns true if the segment represented by the given CodecReader should be keep even if it's fully deleted.
`boolean`
NoMergePolicy.`keepFullyDeletedSegment(IOSupplier<CodecReader> readerIOSupplier)`
`boolean`
SoftDeletesRetentionMergePolicy.`keepFullyDeletedSegment(IOSupplier<CodecReader> readerIOSupplier)`
`int`
FilterMergePolicy.`numDeletesToMerge(SegmentCommitInfo info, int delCount, IOSupplier<CodecReader> readerSupplier)`
`int`
MergePolicy.`numDeletesToMerge(SegmentCommitInfo info, int delCount, IOSupplier<CodecReader> readerSupplier)`
Returns the number of deletes that a merge would claim on the given segment.
`int`
NoMergePolicy.`numDeletesToMerge(SegmentCommitInfo info, int delCount, IOSupplier<CodecReader> readerSupplier)`
`int`
SoftDeletesRetentionMergePolicy.`numDeletesToMerge(SegmentCommitInfo info, int delCount, IOSupplier<CodecReader> readerSupplier)`

## Uses of IOSupplier in org.apache.lucene.search

Methods in org.apache.lucene.search with parameters of type IOSupplier
Modifier and Type
Method
Description
`static Matches`
MatchesUtils.`forField(String field, IOSupplier<MatchesIterator> mis)`
Create a Matches for a single field